### Method

# Gimp Image convert_color_profile

since: 2.10

#### Declaration [src]

    gboolean
    gimp_image_convert_color_profile (
      GimpImage* image,
      GimpColorProfile* profile,
      GimpColorRenderingIntent intent,
      gboolean bpc
    )

#### Description [src]

This procedure converts from the image’s color profile (or the built-in profile if none is set) to the given color profile.

Make sure you use a valid color profile, according to the image’s type (e.g. RGB or grayscale color profiles respectively for RGB or grayscale images).

Available since: 2.10

#### Parameters

`profile`

  Type: `GimpColorProfile`

  The color profile to convert to.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`intent`

  Type: `GimpColorRenderingIntent`

  Rendering intent.

`bpc`

  Type: `gboolean`

  Black point compensation.

#### Return value

Type: `gboolean`

`TRUE` on success.